Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
SOLVED: xf86-video-intel fails to emerge with DRI1 error
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
dmpogo
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2509
Location: Canada

PostPosted: Mon Jan 11, 2016 5:35 am    Post subject: SOLVED: xf86-video-intel fails to emerge with DRI1 error Reply with quote

While upgrading my laptop (bunch of packages, including xorg-server), got an error on emerge of xf86-video-intel at configuration step

Code:

checking whether to include DRI1 support... no
configure: error: DRI1 requested but prerequisites not found

!!! Please attach the following file when seeking support:
!!! /dev/shm/portage/x11-drivers/xf86-video-intel-2.21.15/work/xf86-video-intel-2.21.15_build/config.log
 * ERROR: x11-drivers/xf86-video-intel-2.21.15::gentoo failed (configure phase):
 *   econf failed


in the previous steps mesay was upgraded to
Code:

[ebuild   R    ] media-libs/mesa-11.0.6::gentoo  USE="classic dri3 egl gallium gbm nptl udev xvmc -bindist -d3d9 -debug -gles1 -gles2 -llvm -opencl -openmax -osmesa -pax_kernel -pic (-selinux) -vaapi -vdpau -wayland -xa" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="intel (-freedreno) -i915 -i965 -ilo -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware" 0 KiB


As i understand xf86-video-intel forces classic flag, but dri3 is also set by ebuild. Any ideas where did DRI1 go ? Mesa was also complaining that it overrides some
files belonging to other packages, but I missed to register these messages


Last edited by dmpogo on Fri Jan 15, 2016 10:07 pm; edited 1 time in total
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 772

PostPosted: Mon Jan 11, 2016 6:06 am    Post subject: Reply with quote

update to 2.99.917-r2
Back to top
View user's profile Send private message
dmpogo
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2509
Location: Canada

PostPosted: Wed Jan 13, 2016 11:19 pm    Post subject: Reply with quote

Perfect Gentleman wrote:
update to 2.99.917-r2


That was a valid suggestion, indeed 2.99.917-r2 compiles fine. Alas, it crashes my GPU (965GM) on launch. I guess that was a reason I had a mask at >=2.22 which I forgot about.
I'll try to upgrade the kernel, if that does not help, I guess I have to downgrade to xorg-server-1.16 and mesa-10


Last edited by dmpogo on Fri Jan 15, 2016 10:08 pm; edited 1 time in total
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 772

PostPosted: Thu Jan 14, 2016 2:19 am    Post subject: Reply with quote

the correct for you is VIDEO_CARDS="intel i965".
disable gallium for mesa and enable vaapi
Back to top
View user's profile Send private message
dmpogo
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2509
Location: Canada

PostPosted: Fri Jan 15, 2016 10:07 pm    Post subject: Reply with quote

Perfect Gentleman wrote:
the correct for you is VIDEO_CARDS="intel i965".
disable gallium for mesa and enable vaapi


Upgrade to kernel-3.18 solved the issue ( I was on 3.10 stable long term branch).
Never had i965 in VIDEO_CARDS since the times the unified intel driver appeared years ago (and was always wondering what i965 was left for).
Thanks for suggestion of mesa options, I'll look into them at least to learn about their role.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum